Subject: bug#15427: 24.3.50; `customize-face' in Customize, show `Background' attribute using background

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 15 Aug 2019 16:37:50 -0700

Juri Linkov <[email-masked]> writes:

> Using background colors is more helpful for users. 

I tried having a peek at the code to see whether this would be an easy
thing to fix, and it applies the colour here:

(defun widget-color-sample-face-get (widget)
  (let* ((value (condition-case nil
		    (widget-value widget)
		  (error (widget-get widget :value)))))
    (if (color-defined-p value)
	(list (cons 'foreground-color value))
      'default)))

But, as usual when dealing with widgets, I had to give up, because I can
never follow the calling logic (everything seems to happen somewhere
else), and I don't know how to inspect the widgets, either.

If somebody else wants to take a whack at it, be my guest.  It's
probably trivial if you know how widgets work.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no